package com.seeyon.apps.weixin.enums;

import com.seeyon.ctp.common.code.EnumsCode;

public enum DingdingErrorCodeEnum implements EnumsCode {

   success("0", "request.success", "请求成功", "调用钉钉接口成功"),
   system_busy("-1", "system.busy", "系统繁忙", "服务器暂不可用，建议稍后再重试1次，最多重试3次"),
   auth_exception("88", "authentication exception", "鉴权异常", "关注返回结果里的subCode和subMsg"),
   url_not_found("404", "url.not.found", "请求的URI地址不存在", "地址不存在，检查下url是否和文档里写的一致"),
   invalid_corpid("33001", "invalid.corpid", "无效的企业ID", "请确认下access_token是否正确"),
   invalid_corpid2("52010", "invalid.corpid", "无效的企业ID", "请检查corpid参数是否正确"),
   invalid_micapp_mobile_url("33005", "invalid_micapp_mobile_url", "无效的微应用的移动端主页", "校验下微应用的移动端主页，不能为空且必须以http开头或https开头"),
   invalid_micapp_pc_url("33006", "invalid_micapp_pc_url", "无效的微应用的PC端主页", "校验下微应用的PC端主页，必须以http开头或https开头"),
   invalid_userid("33012", "invalid_micapp_pc_url", "无效的USERID", "请检查userid是否正确，可以打开OA管理后台-通讯录-打开用户通讯录-名称右侧员工UserID查看"),
   overlength_message("34016", "message_overlength", "消息内容长度超过限制", "检查下消息的content字段长度是否超过5000，title字段长度是否超过64，markdown字段长度是否超过5000，single_title字段长度是否超过20，single_url字段长度是否超过500，btn_json_list字段长度是否超过1000"),
   error_access_token("40001", "invalid_access_token", "获取access_token时Secret错误，或者access_token无效", "检查下access_token是否正确"),
   error_ticket("40002", "invalid_ticket", "不合法的凭证类型", ""),
   error_userid("40003", "error_userid", "不合法的UserID", "确保该id在通讯录中存在，且是在你所传access_token对应的企业里"),
   error_corpid("40013", "error_corpid", "不合法的corpid", "检查下corpid是否有效"),
   limit_account_reached("40020", "account_reached_upper_limit", "团队达到上限", "当前团队人数已经达到上限，用电脑登录钉钉企业管理后台，升级成为认证企业"),
   phone_num_has_registered("40021", "phone_num_has_registered", "更换的号码已注册过钉钉，无法使用该号码", "更换的号码已注册过钉钉，无法使用该号码"),
   error_oauth_code("40029", "error_oauth_code", "不合法的oauth_code", ""),
   error_request_character("40033", "error_reques_character", "不合法的请求字符，不能包含\\uxxxx格式的字符", ""),
   error_request_params("40038", "error_request_params", "不合法的请求格式", "检查下参数中是不是少了某个字段，具体参考各个文档的参数介绍"),
   error_message_domain("40038", "error_request_params", "url中包含不合法domain", "发消息接口中消息url链接不安全"),
   not_exist_openid("40073", "not_exist_openid", "不存在的openid", "openid不能为空"),
   not_exist_pre_auth_code("40077", "not_exist_pre_auth_code", "不存在的预授权码", ""),
   not_exist_temp_auth_code("40078", "not_exist_temp_auth_code", "不存在的临时授权码", "临时授权码不能为空，且只能被使用一次"),
   not_exist_auth_info("40079", "not_exist_auth_info", "不存在的授权信息", "检查下企业是否授权，授权方法参考文档"),
   timeout_access_token("42001", "access_token_timeout", "access_token超时", "请检查网络状态"),
   timeout_oauth_code("42003", "timeout_oauth_code", "oauth_code超时", "请检查网络状态"),
   need_oauth("43007", "need_oauth", "需要授权", "该接口需要access_token才能调用"),
   not_auth_redirect_uri("50001", "not_auth_redirect_uri", "redirect_uri未授权", ""),
   invalid_jsapi_sign("52012", "not_auth_redirect_uri", "jsapi 签名生成失败", "请检查“url, nonceStr, timestamp, ticket”等参数是否正确"),
   not_exist_ip_white_list("60020", "not_exist_ip_white_list", "访问ip不在白名单之中", "如果是企业应用，检查配置的服务器出口ip地址是否和请求ip地址一致。如果是isv应用，请检查套件ip白名单和请求ip是否一致"),
   deptname_exist_in_this_dept("60008", "deptname_exist_in_this_dept", " 父部门下该部门名称已存在", "父部门下该部门名称已存在"),
   mobile_already_exist("60104", "mobile_already_exist", "手机号码在公司中已存在", "手机号码在公司中已存在，同步未生效"),
   userid_already_exist("60102", "userid_already_exist", "钉钉中userId已存在", "钉钉中userId已存在"),
   userid_not_exist("60111", "userid_not_exist", "钉钉中该userId不存在", "钉钉中该userId不存在"),
   userid_can_not_find("60121", "userid_can_not_find", "找不到该用户", "找不到该用户");
   private String code;
   private String message;
   private String desc;
   private String advance;
   // $FF: synthetic field
   private static final DingdingErrorCodeEnum[] $VALUES = new DingdingErrorCodeEnum[]{success, system_busy, auth_exception, url_not_found, invalid_corpid, invalid_corpid2, invalid_micapp_mobile_url, invalid_micapp_pc_url, invalid_userid, overlength_message, error_access_token, error_ticket, error_userid, error_corpid, limit_account_reached, phone_num_has_registered, error_oauth_code, error_request_character, error_request_params, error_message_domain, not_exist_openid, not_exist_pre_auth_code, not_exist_temp_auth_code, not_exist_auth_info, timeout_access_token, timeout_oauth_code, need_oauth, not_auth_redirect_uri, invalid_jsapi_sign, not_exist_ip_white_list, deptname_exist_in_this_dept, mobile_already_exist, userid_already_exist, userid_not_exist, userid_can_not_find};


   private DingdingErrorCodeEnum(String code, String message, String desc, String advance) {
      this.code = code;
      this.message = message;
      this.desc = desc;
      this.advance = advance;
   }

   public String getValue() {
      return this.desc;
   }

   public String getText() {
      return this.advance;
   }

   public String getCode() {
      return this.code;
   }

   public String getMessage() {
      return this.message;
   }

   public static String getValue(String code, String msg) {
      DingdingErrorCodeEnum[] enums = values();
      DingdingErrorCodeEnum[] var3 = enums;
      int var4 = enums.length;

      for(int var5 = 0; var5 < var4; ++var5) {
         DingdingErrorCodeEnum a = var3[var5];
         if(a.getCode().equals(code) && a.getMessage().equals(msg)) {
            return a.getValue();
         }
      }

      return msg;
   }

}
